XmVaCreateSelectionBox(3)

NAME
XmVaCreateSelectionBox, XmVaCreateManagedSelectionBox — A SelectionBox widget convenience creation functions.

SYNOPSIS

#include <Xm/SelectioB.h>

Widget XmVaCreateSelectionBox(
Widget parent,
String name,
...);

Widget XmVaCreateManagedSelectionBox(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a ToggleButtonGadget widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateSelectionBox function is a convenience routine that calls XtCreateWidget.

The XmVaCreateSelectionBox function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of SelectionBox and its associated resources, see XmSelectionBox(3).

RETURN

Returns the SelectionBox widget ID.

RELATED

XmSelectionBox(3), XmCreateSelectionBox(3), XtCreateWidget(3), and XtCreateManagedWidget(3).